### Function

# Phosh shell_set_locked

since: 0

#### Declaration [src]

    void
    phosh_shell_set_locked (
      PhoshShell* self,
      gboolean locked
    )

#### Description [src]

Lock the shell. We proxy to lockscreen-manager to avoid that other parts of the shell need to care about this abstraction.

Available since: 0

This function is not directly available to language bindings.

#### Parameters

`self`

  Type: `PhoshShell*`

  The `PhoshShell` singleton.

  The data is owned by the caller of the function.

`locked`

  Type: `gboolean`

  `TRUE` to lock the shell.